Package org.codehaus.groovy.groovydoc

# Interface GroovyFieldDoc

All Superinterfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

All Known Implementing Classes:
  `SimpleGroovyFieldDoc`

public interface GroovyFieldDoc extends GroovyMemberDoc
Describes a field or property in the Groovydoc model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `constantValue()`
  Returns the constant value of this field when one is available.
  `String`
  `constantValueExpression()`
  Returns the source expression used to define the constant value.
  `boolean`
  `isTransient()`
  Indicates whether this field is declared `transient`.
  `boolean`
  `isVolatile()`
  Indicates whether this field is declared `volatile`.
  `GroovyType`
  `type()`
  Returns the declared type of this field.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

  `isSynthetic`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Method Details

  - ### constantValue

    Object constantValue()
    Returns the constant value of this field when one is available.
    Returns:
      the constant value, or `null` if none is defined

  - ### constantValueExpression

    String constantValueExpression()
    Returns the source expression used to define the constant value.
    Returns:
      the constant value expression, or `null` if none is available

  - ### isTransient

    boolean isTransient()
    Indicates whether this field is declared `transient`.
    Returns:
      `true` if this field is transient

  - ### isVolatile

    boolean isVolatile()
    Indicates whether this field is declared `volatile`.
    Returns:
      `true` if this field is volatile

  - ### type

    GroovyType type()
    Returns the declared type of this field.
    Returns:
      the field type